ReferenceCompanies
Update an authorised person
Replaces one authorised person of the company and returns the stored row. Requires `Permissions.Companies.Update`.
PUT
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32application/json- body
companyId?|Format
int32email?|Length
length <= 50id?|Format
int32isInactive?boolean|nullname?|Length
length <= 50number?|Length
length <= 80phone?|Length
length <= 20shouldSendMailTo?boolean|nullapplication/json- response
companyId?|Format
int32email?|Length
length <= 50id?|Format
int32isInactive?boolean|nullname?|Length
length <= 50number?|Length
length <= 80phone?|Length
length <= 20shouldSendMailTo?boolean|nullcurl -X PUT 'https://<your-instance>/api/companies/0/authorized-persons/0' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "companyId": 2, "email": "[email protected]", "id": 15, "isInactive": true, "name": "Updated AuthorizedPerson Name", "number": "3210022", "phone": "111222888", "shouldSendMailTo": false}'{ "companyId": 0, "email": "string", "id": 0, "isInactive": true, "name": "string", "number": "string", "phone": "string", "shouldSendMailTo": true}Get an authorised person GET
Returns one authorised person of the company — someone allowed to collect goods or sign for the company. 404 when they do not belong to `companyId`. Requires `Permissions.Companies.View`.
List a company's branches GET
Returns the branches of the company — its delivery and billing sites. Requires `Permissions.Companies.View`.